% Tamanho das mensagens
USART_SEND_LENGTH = 5;
USART_RECV_LENGTH = 6;

% Pacotes standard
MESSAGE_REQ    = 255;   % Padro utilizado no pacote Start Of Frame
MESSAGE_ERROR  = 254;   % Padro utilizado numa mensagem sinalizadora de erro
MESSAGE_WARNING= 253;   % Mensagem de aviso de alguma situao anmala
MESSAGE_INVREQ = 252;   % Padro utilizado numa mensagem sinalidora de parmetros invlidos
MESSAGE_SUCESS = 251;   % Padro utilizado numa mensagem sinalizadora de sucesso
MESSAGE_TEST   = 250;   % Padro utilizado numa mensagem de calibrao
MESSAGE_MINTYPE= MESSAGE_TEST;

% Mscaras para leitura dos diversos campos do pacote de tipo
OPERATION_MASK = 192;   % 0b11XXXXXX: 2 bits indicando o tipo de msg
SCUID_MASK     = 60;    % 0bXX1111XX: 4 bits para a identificao do SCU
PARAM_MASK     = 3;     % 0bXXXXXX11: 2 bits para a identificao do parmetro a ler/aplicar

% Localizao dos vrios campos no pacote de tipo
OPERATION_LOC = 6;      % 0b11XXXXXX
SCUID_LOC     = 2;      % 0bXX1111XX
PARAM_LOC     = 0;      % 0bXXXXXX11

% Tipos de operaes (pacote de tipo)
OP_APPLY_JOINT   = 0;   % Aplicao de novas posies/velocidades/correntes a uma junta
OP_APPLY_CONTROL = 1;   % Aplicao de novos paramametros dos controladores
OP_READ_SENSORS  = 2;   % Leitura de um conjunto de sensores
OP_READ_EXTBUFF  = 3;   % Leitura do buffer externo - Estado do barramento CAN

% Tipos de parmetros (pacote de tipo)
PARAM_POSITION = 0;     % Posio
PARAM_VELOCITY = 1;     % Velocidade
PARAM_CURRENT  = 2;     % Corrente
PARAM_SPECIAL  = 3;     % Sensores especiais

% Parmetros do controlador a utilizar nas mensagens OP_APPLY_CONTROL
PARAM_KI        = 0;
PARAM_KP        = 1;
PARAM_KD        = 2;
PARAM_CONTROLON = 3;
