% Leitura dos sensores de orientao (inclinmetro e giroscpio)
%
% [array,rx,error,errorstr,tries]=readorient(H)
%
% Entradas:
% H    => Handler das comunicaes com o Master
%
% Sadas:
% array    => [inclinmetro 1, inclinmetro 2, giroscpio 1, giroscpio 2]
% rx       => Mensagem de baixo nvel recebida
% error    => Cdigo de erro, se existente
% errorstr => String descritiva do erro
% tries    => Nmero de tentativas para efectuar a comunicao
%
% (c) Milton Ruas da Silva, 2006

function [array,rx,error,errorstr]=readorient(H)

% Carregamento em memria das constantes
data;

% Construo da mensagem a enviar
What=bitand(bitshift(SENSORS_ORIENTATION,SENSORS_LOC),SENSORS_MASK);
message=buildmessage(OP_READ_SENSORS,0,What);

% Envio da mensagem de request e leitura da resposta
[rx,error,errorstr]=sendmessage(H,message);

% O array servos indica o parametro pedido para cada um dos servos
array=[];

if (~error)
    for i=3:USART_RECV_LENGTH, array=[array intsigned(double(rx(i)),8)]; end
    errorstr='';
end
